#{extends 'borderNG.html' /}
<div class="content">
    <ol class="breadcrumb"  style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
        <li><a href="@{swakelola.SwakelolaCtr.edit(swakelola.lls_id)}">Edit Swakelola</a></li>
        <li class="active">Form Realisasi</li>
    </ol>
#{alert /}
#{form @swakelola.RealisasiSwakelolaCtr.simpanJenisRealisasi(swakelola.lls_id), name:'formJenisRealisasi', enctype:"multipart/form-data", method:'POST'}

    <table class="table table-sm">
        <tr>
            <td width="300">Jenis Realisasi<span class="warning"> *</span></td>
            <td >
                #{selectJenisDokumen 'jenisRealisasiSwakelola.rsk_jenis', value:jenisRealisasiSwakelola?.rsk_jenis, disabled:!draft /}
                <div class="invalid-feedback">#{error 'jenisRealisasiSwakelola.rsk_jenis' /}</div>
            </td>
        </tr>
        <tr id="nama_dok">
            <td width="300"><strong>Nama Dokumen</strong><span class="warning"> *</span> </td>
            <td>
                <input type="text" class="form-control  #{validate 'jenisRealisasiSwakelola.rsk_nama_dok'/}" name="jenisRealisasiSwakelola.rsk_nama_dok"
                       value="${jenisRealisasiSwakelola?.rsk_nama_dok}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiSwakelola.rsk_nama_dok' /}</div>
            </td>
        </tr>
        <tr>
            <td width="300">Nomor Dokumen </td>
            <td>
                <input type="text" class="form-control " id="nomor" name="jenisRealisasiSwakelola.rsk_nomor"
                       value="${jenisRealisasiSwakelola?.rsk_nomor}"/>
                <input type="hidden"  name="jenisRealisasiSwakelola.rsk_id"
                       value="${jenisRealisasiSwakelola?.rsk_id}"/>
            </td>
        </tr>
        <tr>
            <td width="300">Nilai Realisasi (Rp) <span class="warning"> *</span></td>
            <td>
                <input type="text" class="form-control  #{validate 'jenisRealisasiSwakelola.rsk_nilai'/}" id="nilai" name="jenisRealisasiSwakelola.rsk_nilai"
                       value="${jenisRealisasiSwakelola?.rsk_nilai?.formatDouble()}" />
                <div class="invalid-feedback">#{error 'jenisRealisasiSwakelola.rsk_nilai' /}</div>

                <input type="hidden"  name="jenisRealisasiSwakelola.rsk_id"
                       value="${jenisRealisasiSwakelola?.rsk_id}"/>

                <div class="bs-callout bs-callout-info">
                    Gunakan koma untuk pemisah desimal.
                </div>
            </td>
        </tr>
        <tr>
            <td >Tanggal Realisasi <span class="warning"> *</span></td>
            <td>
                <div class="input-group date datepicker width-normal">
                    <input name="jenisRealisasiSwakelola.rsk_tanggal" value="${jenisRealisasiSwakelola?.rsk_tanggal?.toDatepicker()}"
                           type="text" class="form-control datepicker #{validate 'jenisRealisasiSwakelola.rsk_tanggal'/}" id="realDate"/>
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'jenisRealisasiSwakelola.rsk_tanggal' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <td width="300" >File Upload </td>
            <td>
                <input type="file" id="attachment"  size="60" name="attachment" class="form-control"  />

                #{if jenisRealisasiSwakelola?.rsk_id_attachment}
                    <br />
                    <input type=hidden name="jenisRealisasiSwakelola.rsk_id_attachment" value="${jenisRealisasiSwakelola?.rsk_id_attachment}" />
                    <div>
                        <a href="${jenisRealisasiSwakelola?.getBlob()?.getDownloadUrl()}">${jenisRealisasiSwakelola?.getBlob()?.getFileName()}</a>
                        <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapus1" value="${jenisRealisasiSwakelola?.rsk_id_attachment} "><i class="fa fa-trash-o fa-lg"></i></a>
                    </div>
                #{/if}
            </td>
        </tr>
        <tr>
            <td width="300" >Keterangan </td>
            <td><textarea class="form-control " name="jenisRealisasiSwakelola.rsk_keterangan">${jenisRealisasiSwakelola?.rsk_keterangan}</textarea>
            </td>
        </tr>
        <tr>
            <td>
                <button type="submit" name="simpan" class="btn btn-success"> <i class="fa fa-save"></i> Simpan</button>
                <a href="@{swakelola.SwakelolaCtr.edit(swakelola.lls_id)}" type="submit" name="simpan" class="btn btn-secondary">  Kembali</a>
            </td>
            <td>
                <div style="float: right;"><strong>Total Nilai Realisasi : </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
    </table>
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script>

    $(document).ready(function() {

        new AutoNumeric('#nilai', { digitGroupSeparator: '.', decimalCharacter: ',' });

        var initialRealizationDate = $("#realDate").val();
        if(initialRealizationDate == ""){
            $(".date").data("datepicker").setDate(new Date());
        }

        var val = $('[name="jenisRealisasiSwakelola.rsk_jenis"]').val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();

        #{if jenisRealisasiSwakelola?.is_penyedia}
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        #{/if}
        #{else}
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        #{/else}
    });

    $('[name="jenisRealisasiSwakelola.rsk_jenis"]').on('change', function() {
        var val = $(this).val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();
    });

    $('#penyediaSelect').on('change', function() {
        var val = $(this).val();
        if(val === "1") {
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        } else {
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        }
    });

    $(document).on('click', '.removeBtn', function() {
        $(this).parent().remove();
    });

    $('#npwp').on("focus", function () {
        $(this).mask("99.999.999.9-999.999");
    });

    $("#nilai").keypress(function (e) {
        return isNumberKey2(e);
    });

</script>
#{/set}